Package org.apache.torque.sql.whereclausebuilder

## Class AbstractWhereClausePsPartBuilder

- java.lang.Object
- - org.apache.torque.sql.whereclausebuilder.AbstractWhereClausePsPartBuilder

- All Implemented Interfaces:
    `WhereClausePsPartBuilder`
  Direct Known Subclasses:
    `CurrentDateTimePsPartBuilder`, `EnumValueBuilder`, `InBuilder`, `LikeBuilder`, `NullValueBuilder`, `StandardBuilder`

      public abstract class AbstractWhereClausePsPartBuilder
      extends Object
      implements WhereClausePsPartBuilder

  Abstract base class for a WhereClausePsPartBuilder.
  Version:
    $Id: AbstractWhereClausePsPartBuilder.java 1840416 2018-09-09 15:10:22Z tv $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractWhereClausePsPartBuilder()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ObjectPsPartBuilder` | `getObjectOrColumnPsPartBuilder()` | Returns the ObjectPsPartBuilder to use for single values or columns.
    `static void` | `setObjectOrColumnPsPartBuilder​(ObjectPsPartBuilder builder)` | Set the ObjectPsPartBuilder to use for single values or columns.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.torque.sql.whereclausebuilder.WhereClausePsPartBuilder

      `buildPs, isApplicable`

- - ### Constructor Detail

    - #### AbstractWhereClausePsPartBuilder

          public AbstractWhereClausePsPartBuilder()

  - ### Method Detail

    - #### getObjectOrColumnPsPartBuilder

          public static ObjectPsPartBuilder getObjectOrColumnPsPartBuilder()

      Returns the ObjectPsPartBuilder to use for single values or columns.
      Returns:
        the ObjectPsPartBuilder to use.

    - #### setObjectOrColumnPsPartBuilder

          public static void setObjectOrColumnPsPartBuilder​(ObjectPsPartBuilder builder)

      Set the ObjectPsPartBuilder to use for single values or columns.
      Parameters:
        `builder` - the new ObjectPsPartBuilder to use.